.TH CLOJUREC 1
.SH NAME
clojurec \- Clojure compiler
.SH SYNOPSIS
.B clojurec
[\fI\-d destination-directory\fP] 
[\fI\-W/\-Wreflect\fP] 
[\fI\-cp/\-classpath classpath\fP] 
lib1 [lib2 \fI...\fP]
.SH DESCRIPTION
This manual page documents briefly the
.B clojurec
command.
.PP
.B clojurec
compiles libs and generates class files stored within the directory
named by the \fB\-d\fP option, or . if not specified.  Arguments are
strings naming the libs to be compiled.  Note that libs are specified
in dotted notation and are loaded from a classpath, for example my.lib
refers to a file my/lib.clj contained within a classpath.
.SH OPTIONS
A summary of options is included below.
.TP
.B \-d \fIdestination-directory\fP
Specifies the destination directory for compiled class files.
.TP
.B \-W, \-Wreflect
Causes the compiler to emit warnings when reflection is needed to resolve Java method calls or field accesses.
.TP
.B \-cp \fIclasspath\fP, \-classpath \fIclasspath\fP
Specifies additional classpath elements.  This option overrides the $CLASSPATH environment variable.
.SH ENVIRONMENT
A listing of recognised environment variables is included below.
.TP
.B CLASSPATH
Specifies additional classpath elements.
.SH SEE ALSO
.BR clojure (1).
.SH AUTHOR
\fBclojurec\fP is a wrapper script around a Java implementation by Rich Hickey <richhickey@gmail.com>.
The wrapper script was written by Peter Collingbourne <peter@pcc.me.uk>.
.PP
This manual page was written by Peter Collingbourne <peter@pcc.me.uk>,
for the Debian project (but may be used by others).
